## indi-playerone 0.4+20220129131520

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_playerone CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

find_package(PLAYERONE REQUIRED)
find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(USB1 REQUIRED)
find_package(Threads REQUIRED)

set(PLAYERONE_VERSION_MAJOR 0)
set(PLAYERONE_VERSION_MINOR 4)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_playerone.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_playerone.xml)

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${PLAYERONE_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})

include(CMakeCommon)

if (INDI_WEBSOCKET)
    find_package(websocketpp REQUIRED)
    find_package(Boost COMPONENTS system thread)
    include_directories (${Boost_INCLUDE_DIRS})
    add_definitions(-DHAVE_WEBSOCKET)
    SET(HAVE_WEBSOCKET 1)
endif()

########### indi_playerone_ccd ###########
set(indi_playerone_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/playerone_ccd.cpp
   )

add_executable(indi_playerone_ccd ${indi_playerone_SRCS})
target_link_libraries(indi_playerone_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} ${PLAYERONE_LIBRARIES} ${USB1_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
if (HAVE_WEBSOCKET)
    target_link_libraries(indi_playerone_ccd ${Boost_LIBRARIES})
endif()

########### playerone_camera_test ###########
add_executable(playerone_camera_test ${CMAKE_CURRENT_SOURCE_DIR}/playerone_camera_test.cpp)
IF (APPLE)
set(CMAKE_EXE_LINKER_FLAGS "-framework IOKit -framework CoreFoundation")
target_link_libraries(playerone_camera_test ${PLAYERONE_LIBRARIES} ${LIBUSB_LIBRARIES})
ELSE()
target_link_libraries(playerone_camera_test ${PLAYERONE_LIBRARIES} ${USB1_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
ENDIF()

#####################################

if (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
target_link_libraries(indi_playerone_ccd rt)
target_link_libraries(playerone_camera_test rt)
endif (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")

install(TARGETS indi_playerone_ccd RUNTIME DESTINATION bin)
install(TARGETS playerone_camera_test RUNTIME DESTINATION bin)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_playerone.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-playerone (0.4+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4
  * debian/control: move to debian-astro
  * debian/control: add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 17:11:22 +0000

indi-playerone (0.4-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Jan 2022 09:42:47 +0000

## indi-playerone 0.5+20220610020920

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 find_package(Threads REQUIRED)
 
 set(PLAYERONE_VERSION_MAJOR 0)
-set(PLAYERONE_VERSION_MINOR 4)
+set(PLAYERONE_VERSION_MINOR 5)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_playerone.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_playerone.xml)

=== debian/changelog ===
indi-playerone (0.5+20220610020920-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6
  * new upstream version 0.5

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Jun 2022 02:09:29 +0000

## indi-playerone 0.9+20230105184731

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 find_package(Threads REQUIRED)
 
 set(PLAYERONE_VERSION_MAJOR 0)
-set(PLAYERONE_VERSION_MINOR 5)
+set(PLAYERONE_VERSION_MINOR 9)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_playerone.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_playerone.xml)

=== debian/changelog ===
indi-playerone (0.9+20230105184731-3) unstable; urgency=medium

  * depends on non-free, so manually build for all architectures

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Sep 2024 17:42:00 +0200

indi-playerone (0.9+20230105184731-2) unstable; urgency=medium

  * debian/control: update dependencies (Closes: #1076518)
                    (thanks to Gianfranco Costamagna for giving a hint)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 14 Aug 2024 23:47:41 +0200

indi-playerone (0.9+20230105184731-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.9
  * new upstream version Closes: #1027703

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Jan 2023 18:47:41 +0000

=== debian/control ===
Source: indi-playerone
Section: contrib/science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libplayeronecamera2t64
Standards-Version: 4.7.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-playerone
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-playerone.git

Package: indi-playerone
Architecture: amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libplayeronecamera2t64
Description: INDI driver for cameras made by Playerone
 This package contains an INDI driver for cameras
 made by Playerone.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
